/* Creates eCS 1.2 WPS shadow objects for additional Mahjongg levels */

CALL RxFuncAdd 'SysCreateShadow','RexxUtil','SysCreateShadow'

SAY
SAY

dir=Directory()
IF Right(dir,1)='\' THEN dir=Left(dir,Length(dir)-1)
IF Stream(dir||'\DEFAULT.MAH','C','QUERY EXISTS')='' THEN DO
   SAY 'Error: cannot find file DEFAULT.MAH in directory' dir
   SAY
   CALL CharOut '','Press <ENTER>... '
   PULL .
   EXIT
END

IF SysCreateShadow(dir||'\B & B.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: B & B.MAH'
IF SysCreateShadow(dir||'\BABYLON.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: BABYLON.MAH'
IF SysCreateShadow(dir||'\BRIDGE2.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: BRIDGE2.MAH'
IF SysCreateShadow(dir||'\CROSS.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: CROSS.MAH'
IF SysCreateShadow(dir||'\CROSS2.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: CROSS2.MAH'
IF SysCreateShadow(dir||'\CROSSED.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: CROSSED.MAH'
IF SysCreateShadow(dir||'\CROSSES.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: CROSSES.MAH'
IF SysCreateShadow(dir||'\DICE.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: DICE.MAH'
IF SysCreateShadow(dir||'\ECS.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: ECS.MAH'
IF SysCreateShadow(dir||'\ENCIRCLE.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: ENCIRCLE.MAH'
IF SysCreateShadow(dir||'\FLAT.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: FLAT.MAH'
IF SysCreateShadow(dir||'\FORUM.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: FORUM.MAH'
IF SysCreateShadow(dir||'\HARD-CORE.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: HARD-CORE.MAH'
IF SysCreateShadow(dir||'\PACMAN.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: PACMAN.MAH'
IF SysCreateShadow(dir||'\PYRAMID.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: PYRAMID.MAH'
IF SysCreateShadow(dir||'\PYRAMIDS.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: PYRAMIDS.MAH'
IF SysCreateShadow(dir||'\RINGS.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: RINGS.MAH'
IF SysCreateShadow(dir||'\SPIDER.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: SPIDER.MAH'
IF SysCreateShadow(dir||'\SPIRAL.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: SPIRAL.MAH'
IF SysCreateShadow(dir||'\SQUARE.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: SQUARE.MAH'
IF SysCreateShadow(dir||'\STARSHIP.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: STARSHIP.MAH'
IF SysCreateShadow(dir||'\TEMPLE.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: TEMPLE.MAH'
IF SysCreateShadow(dir||'\THE X.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: THE X.MAH'
IF SysCreateShadow(dir||'\TRIANGLE.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: TRIANGLE.MAH'
IF SysCreateShadow(dir||'\VALLEY.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: VALLEY.MAH'
IF SysCreateShadow(dir||'\WEDGES.MAH','<MAH_FOLDER>') THEN SAY 'Shadow created: WEDGES.MAH'

SAY
SAY 'Done.'
SAY
CALL CharOut '','Press <ENTER>... '
PULL .

EXIT
